using System.Collections.Generic;
using System.Linq;

namespace InABox.WPF
{
    public abstract class AbstractComparer<T> : AbstractMultiConverter<T,bool>
    {
        protected override bool Convert(IEnumerable<T>? value, object parameter = null)
        {
            return value?.Distinct().Count() == 1;
        }
    }
}